function OpenCalendar(objcgi, objy, objm, objd)
{
  var index;
  var year;
  var month;
  var day;
  var str_label;

  /** 現在選択されている月日を取得 **/
  index = objy.selectedIndex;
  year = objy.options[index].value;
  index = objm.selectedIndex;
  month = objm.options[index].value;
  index = objd.selectedIndex;
  day = objd.options[index].value;

  var iy;
  var im;
  var id = new Date();

  iy = id.getYear();
  if(iy < 2000) {
      iy = iy + 1900;
  }
  im = id.getMonth() + 1;

  if(month == '00' || month == '') {
      month = im;
  }
  
  if(day == '') {
      day = id.getDate() + 1;
  }
  
  if(year == ''){
  	year = iy;
  }

  /** URLラベル作成 **/
  str_label = objcgi.value + '?cmd=srchcalendar&fldmonth=' + objm.name + '&ds_year=' + year + '&ds_month=' + month + '&ds_day=' + day;

  /** ｳｨﾝﾄﾞｳｵｰﾌﾟﾝ **/
  remote=window.open( str_label,'cal', 'width=220,height=230,resizable=yes,scrollbars=no,status=0');
  if(remote != null) {
    if(remote.opener == null)
    remote.opener = self;
  }
}

function SetClickSearchDate(iyear, imonth, iday) {

    var i_d;      /* 本日 */
    var i_m;      /* 本月 */
    var i_y;      /* 本年 */
    var d_val;    /* 呼び出し側の日selectの最初の値 */
    var m_val;    /* 呼び出し側の月selectの最初の値 */
    var y_val;    /* 呼び出し側の年selectの最初の値 */
    var idate = new Date();
    
    var nowsecond;  /* 本日までのUTC経過時間           */
    var selsecond;  /* 選択された日付までのUTC経過時間 */
    var iseldate = new Date(iyear, imonth - 1, iday, 23, 59, 59);
    nowsecond = idate.getTime();
    selsecond = iseldate.getTime();
    
    i_m = idate.getMonth() + 1;
    i_y = idate.getYear();
    i_d = idate.getDate();
    if(i_y < 2000) i_y = 1900 + i_y;

    /** 呼び出し側select初期値取得 **/
    if(document.calform.fldmonth.value.match("sv_srchval_smonth")) {
        if(window.opener.document.forms[0].sv_srchval_sday != undefined
           && window.opener.document.forms[0].sv_srchval_sday != null){
            d_val = window.opener.document.forms[0].sv_srchval_sday.options[0].value;
            m_val = window.opener.document.forms[0].sv_srchval_smonth.options[0].value;
            y_val = window.opener.document.forms[0].sv_srchval_syear.options[0].value;
        }
        else{
            d_val = window.opener.document.forms[1].sv_srchval_sday.options[0].value;
            m_val = window.opener.document.forms[1].sv_srchval_smonth.options[0].value;
            y_val = window.opener.document.forms[1].sv_srchval_syear.options[0].value;
        }
    }
    else {
        if(window.opener.document.forms[0].sv_srchval_eday != undefined
           && window.opener.document.forms[0].sv_srchval_eday != null){    
            d_val = window.opener.document.forms[0].sv_srchval_eday.options[0].value;
            m_val = window.opener.document.forms[0].sv_srchval_emonth.options[0].value;
            y_val = window.opener.document.forms[0].sv_srchval_eyear.options[0].value;
        }
        else{
            d_val = window.opener.document.forms[1].sv_srchval_eday.options[0].value;
            m_val = window.opener.document.forms[1].sv_srchval_emonth.options[0].value;
            y_val = window.opener.document.forms[1].sv_srchval_eyear.options[0].value
        }
    }

    /** 表示月設定 **/
    if(d_val == 1) {
        iday = iday - 1;
    }
    
    /** 表示月設定 **/
    if(m_val == 1) {
        imonth = imonth - 1;
    }
    
    if(iyear < 2005){
    	iyear = 2005;
    }
    else if(iyear > 2015){
    	iyear = 2015;
    }
    
    /** 呼び出し側selectの選択位置セット **/
    if(document.calform.fldmonth.value.match("sv_srchval_smonth")) {
        if(window.opener.document.forms[0].sv_srchval_sday != undefined
           && window.opener.document.forms[0].sv_srchval_sday != null){
            window.opener.document.forms[0].sv_srchval_syear.value = iyear;
            window.opener.document.forms[0].sv_srchval_sday.selectedIndex = iday;
            window.opener.document.forms[0].sv_srchval_smonth.selectedIndex = imonth;
        }
        else{
            window.opener.document.forms[1].sv_srchval_syear.value = iyear;
            window.opener.document.forms[1].sv_srchval_sday.selectedIndex = iday;
            window.opener.document.forms[1].sv_srchval_smonth.selectedIndex = imonth;        
        }
    }
    else {
        if(window.opener.document.forms[0].sv_srchval_eday != undefined
           && window.opener.document.forms[0].sv_srchval_eday != null){
            d_sel = window.opener.document.forms[0].sv_srchval_eday.selectedIndex = iday;
            m_sel = window.opener.document.forms[0].sv_srchval_emonth.selectedIndex = imonth;
            y_sel = window.opener.document.forms[0].sv_srchval_eyear.value = iyear;
        }
        else{
            d_sel = window.opener.document.forms[1].sv_srchval_eday.selectedIndex = iday;
            m_sel = window.opener.document.forms[1].sv_srchval_emonth.selectedIndex = imonth;
            y_sel = window.opener.document.forms[1].sv_srchval_eyear.value = iyear;
        }
    }
    

    /** ｳｨﾝﾄﾞｳｸﾛｰｽﾞ **/
    window.close();
}
